-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/DEFECT_76457.sqv   1.0   May 23 2001 12:22:36   BRENT  $
--
-- DEFECT_76457.sql
--
-- Module Description
--   Fixes defect DEFECT_76457: dbgen using varchar for strings instead of NVARCHAR


USE Meta
GO

UPDATE attr_type SET storage_class = UPPER(storage_class) WHERE storage_class <> UPPER(storage_class)
UPDATE attr_type SET storage_class = 'NVARCHAR' WHERE storage_class = 'VARCHAR'

UPDATE custom_view_ddl SET custom_where = 'AND snmp._ParentCID=''%cid%'' AND snmp._ParentID=o.id' 
WHERE cid = 'SNMP' AND custom_where <> 'AND snmp._ParentCID=''%cid%'' AND snmp._ParentID=o.id'
