-- $Header:   //ARCHIVE/Archive_NLS/db/sql/_SendMVSActionTraps.sqv   1.0   Jun 07 2001 10:20:42   Marc  $

USE Object
GO

PRINT 'Creating procedure _SendMVSActionTraps...'

IF EXISTS (SELECT * FROM sysobjects WHERE name = '_SendMVSActionTraps' AND type = 'P')
  DROP PROCEDURE _SendMVSActionTraps
GO

-- $Archive:   //ARCHIVE/Archive_NLS/db/sql/_SendMVSActionTraps.sqv  $
-- $Revision:   1.0  $
-- $Date:   Jun 07 2001 10:20:42  $
-- $Author:   Marc  $
CREATE PROCEDURE _SendMVSActionTraps
  @cid	ClassID,
  @id	ObjID
AS 
  RAISERROR('_SendMVSActionTraps: %s, %d', 0, 1, @cid, @id)
  -- Standard TRANSACTION logic
  DECLARE @tcount INT
  SELECT @tcount = @@TRANCOUNT
  IF @tcount = 0
    BEGIN TRAN _SendMVSActionTraps
  ELSE
    SAVE TRAN _SendMVSActionTraps
  DECLARE @cmd NVARCHAR(255)
  EXEC master..xp_asisprintf @cmd OUTPUT, 'sh SendMVSActionTraps.ksh -c%s -i%lu', @cid, @id
  PRINT @cmd
  CREATE TABLE #output (line NVARCHAR(4000))
  INSERT INTO #output
  EXEC master..xp_cmdshell @cmd
  SELECT * FROM #output

  -- Finish up TRANSACTION
  IF @tcount = 0
    COMMIT TRAN _SendMVSActionTraps

GO

PRINT 'Done.'