-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/asisp_setrulebasetime.sqv   1.0   Jun 20 2001 14:40:42   BRENT  $
--
-- asisp_setrulebasetime.sql
--
-- Module Description
--   Defines the asisp_setrulebasetime stored procedure

USE Object
GO


---------------------------------------------------------------------------------------------------
-- asisp_setrulebasetime
PRINT 'Creating procedure asisp_setrulebasetime'
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'asisp_setrulebasetime' AND type = 'P')
  DROP PROCEDURE asisp_setrulebasetime
GO

-- $Archive:   //ARCHIVE/Archive_NLS/DB/SQL/asisp_setrulebasetime.sqv  $
-- $Revision:   1.0  $
-- $Date:   Jun 20 2001 14:40:42  $
-- $Author:   BRENT  $
-- Sends a rule command to a specified rulebase setting the current time to either a specified
-- value or the current system time.
CREATE PROCEDURE asisp_setrulebasetime
  @RuleBaseName  NVARCHAR(255),
  @now           SMALLDATETIME=NULL -- If NULL then the current system time is set
AS
  -- Defer to master database procedure sp_sendrulepulse
  EXEC sp_setrulebasetime @RuleBaseName, @now
GO
