-- $Header:   //ARCHIVE/PVCSROOT/Archive_NLS/DB/SQL/imSnapshotHistory.sqv   1.1   Jun 18 2001 16:45:58   lin  $
--
-- imSnapshotHistory.sql
--
-- Module Description
--   Create Snapshot History table 
--
USE Object
GO

-----------------------------------------------------------------------------
-- imSnapshotHistory
PRINT 'Creating TABLE imSnapshotHistory'
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'imSnapshotHistory' AND type = 'U')
  DROP TABLE imSnapshotHistory
GO

-- $Archive:   //ARCHIVE/PVCSROOT/Archive_NLS/DB/SQL/imSnapshotHistory.sqv  $
-- $Revision:   1.1  $
-- $Date:   Jun 18 2001 16:45:58  $
-- $Author:   lin  $
--   Create Snapshot History table
CREATE TABLE imSnapshotHistory (
  type     NVARCHAR(64)  NOT NULL DEFAULT 'Regular',
  name     NVARCHAR(128) NOT NULL DEFAULT (CONVERT(NVARCHAR, GETDATE(), 121)),
  build    NVARCHAR(128),
  state    NVARCHAR(32),
  date     DATETIME      NOT NULL DEFAULT GETDATE(),
  version  INT NOT NULL
)
GO


