-- $Header:   //ARCHIVE/Archive_NLS/db/sql/_SendMVSRMFRegistration.sqv   1.0   Jun 07 2001 10:21:22   Marc  $

USE Object
GO

PRINT 'Creating procedure _SendMVSRMFRegistration...'

IF EXISTS (SELECT * FROM sysobjects WHERE name = '_SendMVSRMFRegistration' AND type = 'P')
  DROP PROCEDURE _SendMVSRMFRegistration
GO

-- $Archive:   //ARCHIVE/Archive_NLS/db/sql/_SendMVSRMFRegistration.sqv  $
-- $Revision:   1.0  $
-- $Date:   Jun 07 2001 10:21:22  $
-- $Author:   Marc  $
CREATE PROCEDURE _SendMVSRMFRegistration
  @cid	ClassID,
  @id	ObjID
AS 
  RAISERROR('_SendMVSRMFRegistration: %s, %d', 0, 1, @cid, @id)

  -- Standard TRANSACTION logic
  DECLARE @tcount INT
  SELECT @tcount = @@TRANCOUNT
  IF @tcount = 0
    BEGIN TRAN _SendMVSRMFRegistration
  ELSE
    SAVE TRAN _SendMVSRMFRegistration

  DECLARE @cmd NVARCHAR(255)
  EXEC master..xp_asisprintf @cmd OUTPUT, 'sh SendMVSRMFRegistrations.ksh -c%s -i%lu', @cid, @id
  PRINT @cmd
  CREATE TABLE #output (line NVARCHAR(4000))
  INSERT INTO #output
  EXEC master..xp_cmdshell @cmd
  SELECT * FROM #output
 
  -- Finish up TRANSACTION
  IF @tcount = 0
    COMMIT TRAN _SendMVSRMFRegistration



GO

PRINT 'Done.'