-- $Header:   //ARCHIVE/Archive_NLS/db/sql/_SendMVSTDQMsgCapture.sqv   1.0   Jun 07 2001 10:20:52   Marc  $

USE Object
GO

PRINT 'Creating procedure _SendMVSTDQMsgCapture...'

IF EXISTS (SELECT * FROM sysobjects WHERE name = '_SendMVSTDQMsgCapture' AND type = 'P')
  DROP PROCEDURE _SendMVSTDQMsgCapture
GO

-- $Archive:   //ARCHIVE/Archive_NLS/db/sql/_SendMVSTDQMsgCapture.sqv  $
-- $Revision:   1.0  $
-- $Date:   Jun 07 2001 10:20:52  $
-- $Author:   Marc  $
CREATE PROCEDURE _SendMVSTDQMsgCapture
  @cid	ClassID,
  @id	ObjID
AS 
  RAISERROR('_SendMVSTDQMsgCapture: %s, %d', 0, 1, @cid, @id)
  -- Standard TRANSACTION logic
  DECLARE @tcount INT
  SELECT @tcount = @@TRANCOUNT
  IF @tcount = 0
    BEGIN TRAN _SendMVSTDQMsgCapture
  ELSE
    SAVE TRAN _SendMVSTDQMsgCapture
  DECLARE @cmd NVARCHAR(255)
  EXEC master..xp_asisprintf @cmd OUTPUT, 'sh SendMVSTDQMsgCapture.ksh -c%s -i%lu', @cid, @id
  PRINT @cmd
  CREATE TABLE #output (line NVARCHAR(4000))
  INSERT INTO #output
  EXEC master..xp_cmdshell @cmd
  SELECT * FROM #output
 
  -- Finish up TRANSACTION
  IF @tcount = 0
    COMMIT TRAN _SendMVSTDQMsgCapture

GO

PRINT 'Done.'