-- $Header:   //ARCHIVE/Archive_NLS/db/sql/_SendMVSTrxDiscReq.sqv   1.0   Jun 07 2001 10:21:08   Marc  $

USE Object
GO

PRINT 'Creating procedure _SendMVSTrxDiscReq...'

IF EXISTS (SELECT * FROM sysobjects WHERE name = '_SendMVSTrxDiscReq' AND type = 'P')
  DROP PROCEDURE _SendMVSTrxDiscReq
GO

-- $Archive:   //ARCHIVE/Archive_NLS/db/sql/_SendMVSTrxDiscReq.sqv  $
-- $Revision:   1.0  $
-- $Date:   Jun 07 2001 10:21:08  $
-- $Author:   Marc  $
CREATE PROCEDURE _SendMVSTrxDiscReq
  @cid	ClassID,
  @id	ObjID
AS 
  RAISERROR('_SendMVSTrxDiscReq: %s, %d', 0, 1, @cid, @id)

  -- Standard TRANSACTION logic
  DECLARE @tcount INT
  SELECT @tcount = @@TRANCOUNT
  IF @tcount = 0
    BEGIN TRAN _SendMVSTrxDiscReq
  ELSE
    SAVE TRAN _SendMVSTrxDiscReq

  DECLARE @cmd NVARCHAR(255)
  EXEC master..xp_asisprintf @cmd OUTPUT, 'sh SendMVSTrxDiscReq.ksh -c%s -i%lu', @cid, @id
  PRINT @cmd
  CREATE TABLE #output (line NVARCHAR(4000))
  INSERT INTO #output
  EXEC master..xp_cmdshell @cmd
  SELECT * FROM #output
 
  -- Finish up TRANSACTION
  IF @tcount = 0
    COMMIT TRAN _SendMVSTrxDiscReq

GO

PRINT 'Done.'