-- $Header:   //ARCHIVE/PVCSROOT/Archive_NLS/DB/SQL/imObjectList_current_FS.sqv   1.1   Jun 18 2001 16:41:08   lin  $
--
-- imObjectList_current_FS.sql
--
-- Module Description
--   Create temp working table for existing objects of File system 
--

USE Object
GO

-----------------------------------------------------------------------------
-- imObjectList_current_FS
PRINT 'Creating TABLE imObjectList_current_FS'
GO

IF EXISTS (SELECT * FROM sysobjects WHERE type = 'U' AND name = 'imObjectList_current_FS')
  DROP TABLE imObjectList_current_FS
GO

-- $Archive:   //ARCHIVE/PVCSROOT/Archive_NLS/DB/SQL/imObjectList_current_FS.sqv  $
-- $Revision:   1.1  $
-- $Date:   Jun 18 2001 16:41:08  $
-- $Author:   lin  $
--   Create temp working table for existing objects of Database and File system
CREATE TABLE imObjectList_current_FS (
  host            NVARCHAR(64),
  path            NVARCHAR(255),
  name            NVARCHAR(255),
  crdate          DATETIME,
  mddate          DATETIME,
  objectType      NVARCHAR(2)
)
GO
